|  | Home | Documentation | saml2__ConditionsType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
saml2__ConditionsType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":ConditionsType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__ConditionsType:
[legend]

## Classes
struct | __saml2__union_ConditionsType

## Public Attributes
$int | __size_ConditionsType
struct saml2__ConditionsType::__saml2__union_ConditionsType * | __union_ConditionsType
time_t * | NotBefore
| Attribute "NotBefore" of XSD type xs:dateTime. More...
time_t * | NotOnOrAfter
| Attribute "NotOnOrAfter" of XSD type xs:dateTime. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":ConditionsType is a complexType.

struct saml2__ConditionsType operations:

- saml2__ConditionsType* soap_new_saml2__ConditionsType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__ConditionsType(struct soap*, saml2__ConditionsType*) default initialize members
- int soap_read_saml2__ConditionsType(struct soap*, saml2__ConditionsType*) deserialize from a source
- int soap_write_saml2__ConditionsType(struct soap*, saml2__ConditionsType*) serialize to a sink
- saml2__ConditionsType* soap_dup_saml2__ConditionsType(struct soap*, saml2__ConditionsType* dst, saml2__ConditionsType <em>src) returns deep copy of saml2__ConditionsType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__ConditionsType(saml2__ConditionsType) deep deletes saml2__ConditionsType data members, use only on dst after soap_dup_saml2__ConditionsType(NULL, saml2__ConditionsType *dst, saml2__ConditionsType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__ConditionsType::__size_ConditionsType

struct saml2__ConditionsType::__saml2__union_ConditionsType * saml2__ConditionsType::__union_ConditionsType

time_t* saml2__ConditionsType::NotBefore

Attribute "NotBefore" of XSD type xs:dateTime.

Optional attribute.

time_t* saml2__ConditionsType::NotOnOrAfter

Attribute "NotOnOrAfter" of XSD type xs:dateTime.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h